import config from "@/config"
import http from "@/utils/request"

export default {
    list: {
        url: `${config.API_URL}/pages/list`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    },
    save: {
        url: `${config.API_URL}/pages/save`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    detail: {
        url: `${config.API_URL}/pages/detail`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    },
    user: {
        url: `${config.API_URL}/login/profile`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    },
}
